VMSTAT(8)

BEZEICHNUNG
vmstat - Statistiken zum virtuellen Speicher anzeigen

ÜBERSICHT
vmstat [Optionen] [Verzögerung [Anzahl]]

BESCHREIBUNG
vmstat zeigt Informationen zu Prozessen, Speicher, Paging, Block-E/A, Traps, Laufwerken und CPU-Aktivität an.

Der erste erzeugte Bericht zeigt Durchschnittswerte seit dem letzten Neustart des Systems an. Weitere erzeugte Berichte beziehen diese Informationen auf ein Zeitintervall, das in Verzögerung definiert ist. Die Berichte zu Prozessen und Speicher werden unverzüglich ausgegeben.

OPTIONEN

Verzögerung
    gibt die Verzögerung zwischen Aktualisierungen in Sekunden an. Falls keine Verzögerung angegeben ist, wird nur ein Bericht ausgegeben, der die Durchschnittswerte seit dem Systemstart enthält.

Anzahl
    gibt die Anzahl der Aktualisierungen an. Wenn die Anzahl nicht angegeben, aber eine Verzögerung definiert ist, dann ist die Anzahl der Aktualisierungen unendlich.

-a, --active
    zeigt aktiven und inaktiven Speicher an. Dafür ist ein Kernel 2.5.41 oder neuer erforderlich.

-f, --forks
    Der Schalter -f zeigt die Anzahl der Forks seit dem Systemstart an. Dies bezieht die Systemaufrufe »fork«, »vfork« und »clone« ein und entspricht der Gesamtzahl der erzeugten Tasks. Jeder Prozess wird durch ein oder mehrere Tasks repräsentiert, abhängig von der Thread-Nutzung. Diese Anzeige wird nicht wiederholt.

-m, --slabs
    zeigt Slabinfo an.

-n, --one-header
    zeigt den Header nur einmalig anstatt periodisch an.

-s, --stats
    zeigt eine Tabelle verschiedener Ereigniszähler und Speicherstatistiken an. Diese Anzeige wird nicht wiederholt.

-d, --disk
    zeigt Plattenstatistiken an (Kernel 2.5.70 oder neuer erforderlich).

-D, --disk-sum
    zeigt eine statistische Zusammenfassung der Plattenaktivitäten an.

-p, --partition Gerät
    zeigt detaillierte Statistiken zu Partitionen an (Kernel 2.5.70 oder neuer erforderlich).

-S, --unit Zeichen
    wechselt die Einheit der Ausgabe zwischen 1000 (k), 1024 (K), 1000000 (m) oder 1048576 (M) Byte. Beachten Sie, dass diese Änderung der Swap-Felder (si/so) oder Block-Felder (bi/bo) nicht beeinflusst.

-t, --timestamp
    hängt an jede Zeile einen Zeitstempel an.

-w, --wide
    Breiter Ausgabemodus. Dieser ist sinnvoll, wenn der vorgegebene Ausgabemodus unerwünschte Umbrüche in den Spalten enthält, was für Systeme mit einer größeren Menge an Speicher vorkommt. Die Ausgabe ist breiter als 80 Zeichen pro Zeile.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

FELDBESCHREIBUNG FÜR VM-MODUS

  Prozesse
r: die Anzahl der ausführbaren Prozesse (laufend oder auf Ausführungszeit wartend).
b: die Anzahl der Prozesse in nicht unterbrechbarem Schlafzustand.

  Speicher
swpd: die Menge des verwendeten virtuellen Speichers.
free: die Menge des untätigen Speichers.
buff: die Menge des als Puffer verwendeten Speichers.
cache: die Menge des als Zwischenspeicher verwendeten Speichers.
inact: die Menge des inaktiven Speichers (Option -a)
active: die Menge des aktiven Speichers (Option -a)

  Swap
si: Speichermenge aus dem Auslagerungsspeicher geholt (/s).
so: Speichermenge in den Auslagerungsspeicher geschrieben (/s).

  E/A
bi: von einem Blockgerät empfangene Blöcke (Blöcke/s).
bo: an ein Blockgerät gesendete Blöcke (Blöcke/s).

  System
in: Anzahl der Interrupts pro Sekunde, einschließlich der Uhr.
cs: Anzahl der Kontext-Switches pro Sekunde.

  CPU
Dies sind Prozentsätze der gesamten CPU-Zeit.
us: Verbrauchte Zeit für Nicht-Kernel-Code (Benutzerzeit, einschließlich Nice-Zeit)
sy: Verbrauchte Zeit für Kernel-Code (Systemzeit)
id: Verbrauchte Zeit für Leerlauf. Vor Linux 2.5.41 bezieht dies die E/A-Wartezeit ein.
wa: Verbrauchte Zeit für Warten auf E/A. Vor Linux 2.5.41 bezieht dies die Leerlaufzeit ein.
st: Von einer virtuellen Maschine abgezweigte Zeit. Vor Linux 2.6.11 ist diese unbekannt.

FELDBESCHREIBUNG FÜR PlattenMODUS

  Lesevorgänge
total: Gesamtzahl erfolgreich abgeschlossener Lesevorgänge
merged: Gruppierte Lesevorgänge (resultierend in einem E/A-Vorgang)
sectors: Erfolgreich gelesene Sektoren
ms: Zeit für Lesevorgänge in Millisekunden

  Schreibvorgänge
total: Gesamtzahl erfolgreich abgeschlossener Schreibvorgänge
merged: Gruppierte Schreibvorgänge (resultierend in einem E/A-Vorgang)
sectors: Erfolgreich geschriebene Sektoren
ms: Zeit für Schreibvorgänge in Millisekunden

  E/A
cur: E/A in Verarbeitung
s: für E/A verbrauchte Sekunden

FELDBESCHREIBUNG FÜR PLATTENPARTITIONSMODUS
reads: Gesamtzahl der Lesevorgänge auf dieser Partition
read sectors: Insgesamt gelesene Sektoren auf dieser Partition
writes : Gesamtzahl der Schreibvorgänge auf dieser Partition
requested writes: Gesamtzahl der für diese Partition
                  angeforderten Schreibvorgänge

FELDBESCHREIBUNG FÜR SLAB-MODUS
cache: Zwischenspeichername
num: Anzahl der gegenwärtig aktiven Objekte
total: Gesamtzahl der verfügbaren Objekte
size: Größe jedes Objekts
pages: Anzahl der Seiten mit mindestens einem aktiven Objekt

ANMERKUNGEN
vmstat erfordert keine besonderen Rechte.

Diese Berichte haben den Zweck, Engstellen (»Flaschenhälse«) im System zu erkennen. Die Linux-Version von vmstat rechnet sich dabei selbst nicht zu den laufenden Prozessen.

Alle Linux-Blöcke sind gegenwärtig 1024 Byte groß. Ältere Kernel könnten Blockgrößen als 512 Byte, 2048 Byte oder 4096 Byte melden.

Seit Procps 3.1.9, können Sie in Vmstat Einheiten wählen (k, K, m, M). Die Voreinstellung ist K (1024 Byte) im Standardmodus.

Vmstat verwendet Slabinfo 1.1

DATEIEN
/proc/meminfo
/proc/stat
/proc/*/stat

SIEHE AUCH
free(1), iostat(1), mpstat(1), ps(1), sar(1), top(1)

FEHLER
Die Block-Ein-/Ausgaben werden nicht gerätebezogen aufgeführt oder die Anzahl der Systemaufrufe gezählt.

AUTOREN
Geschrieben von Henry Ware (al172@yfn.ysu.edu).
Fabian Frédérick (ffrederick@users.sourceforge.net) (diskstat, slab, Partitionen …)

FEHLER MELDEN
Bitte schicken Sie Fehlerberichte (auf Englisch) an procps@freelists.org

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.